aboutsummaryrefslogtreecommitdiff
path: root/stretch-arm64-fai/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'stretch-arm64-fai/build.sh')
-rwxr-xr-xstretch-arm64-fai/build.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/stretch-arm64-fai/build.sh b/stretch-arm64-fai/build.sh
new file mode 100755
index 00000000..f1c5bc81
--- /dev/null
+++ b/stretch-arm64-fai/build.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+export LANG=C
+
+DISTRIBUTION=$(basename ${PWD} | cut -f1 -d '-')
+ARCHITECTURE=$(basename ${PWD} | cut -f2 -d '-')
+cp -a ../linaro-overlay-obs.list ../linaro-overlay-obs.key .
+
+image=linaro/${ARCHITECTURE}-fai
+docker build --pull --tag=$image .
+echo $image > .docker-tag